SnappyException (Snappy for Java 1.0.4.1-SNAPSHOT API)
Date: 2011-09-26

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xerial.snappy
Class SnappyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xerial.snappy.SnappyException

All Implemented Interfaces:
  Serializable

Deprecated. Snappy-java now uses `IOException`

    @Deprecated
    public class SnappyException

extends Exception

Exception in snappy-java

Author:
  leo
See Also:
  Serialized Form

Field Summary
`SnappyErrorCode` | `errorCode` Deprecated.

Constructor Summary
`SnappyException(int code)` Deprecated.
`SnappyException(SnappyErrorCode errorCode)` Deprecated.
`SnappyException(SnappyErrorCode errorCode, Exception e)` Deprecated.
`SnappyException(SnappyErrorCode errorCode, String message)` Deprecated.

Method Summary
`SnappyErrorCode` | `getErrorCode()` Deprecated.
`String` | `getMessage()` Deprecated.
`static void` | `throwException(int errorCode)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public final SnappyErrorCode errorCode

  Deprecated.

Constructor Detail

### SnappyException

    public SnappyException(int code)

  Deprecated.

### SnappyException

    public SnappyException(SnappyErrorCode errorCode)

  Deprecated.

### SnappyException

    public SnappyException(SnappyErrorCode errorCode,
                           Exception e)

  Deprecated.

### SnappyException

    public SnappyException(SnappyErrorCode errorCode,
                           String message)

  Deprecated.

Method Detail

### getErrorCode

    public SnappyErrorCode getErrorCode()

  Deprecated.

### throwException

    public static void throwException(int errorCode)
                               throws SnappyException

  Deprecated.
  Throws:
    `SnappyException`

### getMessage

    public String getMessage()

  Deprecated.
  Overrides:
    `getMessage` in class `Throwable`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 xerial.org. All Rights Reserved.